XFcBtCommService class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcBtCommService Class Reference

Used to inquiry and advertise bluetooth services. More...

Inheritance diagram for XFcBtCommService:

[legend]
Collaboration diagram for XFcBtCommService:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT INT | inquiry (const XFcAdvertiser &aAdvertise, XFcDeviceDiscovery *aDeviceDiscovery, const XFcUUID *aUuid)
| Starts the inquiry request for available bt services using SDP.
virtual XFCIMPORT void | cancelInquiry ()
| Cancels the inquiry request.
virtual XFCIMPORT void | inquiryResult (XFcLinkedList< XFcAdvertiser * > &aAdvertisePacket)
| Returns inquiry result.
virtual XFCIMPORT INT | advertise (const XFcAdvertiser &aAdvertiser, const XFcUUID *aUuid)
| Starts to advertise service.
virtual XFCIMPORT INT | updateAdvertise (const XFcAdvertiser &aAdvertiser)
| Updates advertiser state.
virtual XFCIMPORT void | cancelAdvertise ()
| Stops advertise service.
XFCIMPORT UINT16 | getFirstFreeRFCOMMPort ()
| Returns first free port that can be used as server port.
XFCIMPORT INT | createPiconet ()
| Creates piconet.
XFCIMPORT INT | lockPiconet ()
| Locks piconet.
XFCIMPORT void | unlockPiconet ()
| Unlock piconet.
XFCIMPORT void | destroyPiconet ()
| Destroy piconet.
virtual XFCIMPORT | ~XFcBtCommService ()
| Virtual destructor.

## Static Public Member Functions

XFCIMPORT XFcBtCommService * | create ()
| Static constructor.

## Protected Member Functions

XFCIMPORT | XFcBtCommService ()
| Protected constructor.
XFCIMPORT INT | init ()
| Initializes the XFcBtCommService.

## Private Attributes

XFcDeviceDiscovery * | mDeviceDiscovery
| Holds device discovery interface pointer.

## Detailed Description

Used to inquiry and advertise bluetooth services.

## Constructor & Destructor Documentation

XFCIMPORT XFcBtCommService::XFcBtCommService | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcBtCommService::~XFcBtCommService | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual XFCIMPORT INT XFcBtCommService::advertise | ( | const XFcAdvertiser & | aAdvertiser,
|  | const XFcUUID * | aUuid
| ) | `[virtual]`

Starts to advertise service.

Parameters:

  aAdvertiser | advertise base class.

Returns:
  1 if advertise starts succesfully else 0.

Reimplemented from XFcCommService.

virtual XFCIMPORT void XFcBtCommService::cancelAdvertise | ( |  | ) | `[virtual]`

| Stops advertise service. Reimplemented from XFcCommService.

virtual XFCIMPORT void XFcBtCommService::cancelInquiry | ( |  | ) | `[virtual]`

| Cancels the inquiry request. Reimplemented from XFcCommService.

XFCIMPORT XFcBtCommService* XFcBtCommService::create | ( |  | ) | `[static]`

Static constructor.

Returns:
  pointer to XFcBtCommService class if success else NULL

XFCIMPORT INT XFcBtCommService::createPiconet | ( |  | ) |

Creates piconet.

Creates bluetooth piconet. Needed if more than one simultanious connection is needed. Use only with bluetooth master device.

Returns:
  1 if success else XFCNET_ERROR.

XFCIMPORT void XFcBtCommService::destroyPiconet | ( |  | ) |

| Destroy piconet. Destroys created piconet.

XFCIMPORT UINT16 XFcBtCommService::getFirstFreeRFCOMMPort | ( |  | ) |

| Returns first free port that can be used as server port.

XFCIMPORT INT XFcBtCommService::init | ( |  | ) | `[protected]`

Initializes the XFcBtCommService.

Returns:
  INT is 1 if success else 0

virtual XFCIMPORT INT XFcBtCommService::inquiry | ( | const XFcAdvertiser & | aAdvertise,
|  | XFcDeviceDiscovery * | aDeviceDiscovery,
|  | const XFcUUID * | aUuid
| ) | `[virtual]`

| Starts the inquiry request for available bt services using SDP. Reimplemented from XFcCommService.

virtual XFCIMPORT void XFcBtCommService::inquiryResult | ( | XFcLinkedList< XFcAdvertiser * > & | aAdvertisePacket | ) | `[virtual]`

Returns inquiry result.

Parameters:

  aAdvertisePacket | list of host data received from bluetooth network. List is deleted after method call.

Reimplemented from XFcCommService.

XFCIMPORT INT XFcBtCommService::lockPiconet | ( |  | ) |

Locks piconet.

Locks the piconet. Other devices can not find this device nor connect to it. The piconet must be created before this can be called. Use only with bluetooth master device.

Returns:
  1 if success else XFCNET_ERROR.

XFCIMPORT void XFcBtCommService::unlockPiconet | ( |  | ) |

| Unlock piconet. Unlocks the bluetooth piconet. Use only with bluetooth master device.

virtual XFCIMPORT INT XFcBtCommService::updateAdvertise | ( | const XFcAdvertiser & | aAdvertiser | ) | `[virtual]`

| Updates advertiser state. Reimplemented from XFcCommService.

## Member Data Documentation

XFcDeviceDiscovery* XFcBtCommService::mDeviceDiscovery`[private]`

| Holds device discovery interface pointer.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch